Loading...
Searching...
No Matches
com::lomiri::content::Paste Class Reference

`#include <com/lomiri/content/paste.h>`

Inheritance diagram for com::lomiri::content::Paste:
Collaboration diagram for com::lomiri::content::Paste:

## Public Types

enum | State { created , charged , saved , collected }

## Public Member Functions

| Paste (const Paste &)=delete
virtual | ~Paste ()
Paste & | operator= (const Paste &)=delete
virtual Q_INVOKABLE int | id () const
virtual Q_INVOKABLE QMimeData * | mimeData ()
virtual Q_INVOKABLE QString | source () const

## Properties

int | id
QString | source

## Friends

struct | Private
class | Hub

## Detailed Description

Definition at line 33 of file paste.h.

## Member Enumeration Documentation

## State

enum com::lomiri::content::Paste::State

Enumerator
created |
charged |
saved |
collected |

Definition at line 41 of file paste.h.

## Constructor & Destructor Documentation

## Paste()

com::lomiri::content::Paste::Paste | ( | const Paste & |  | ) |

delete

References Paste().

Referenced by operator=(), and Paste().

Here is the call graph for this function:

## ~Paste()

virtual com::lomiri::content::Paste::~Paste | ( |  | ) |

virtual

## Member Function Documentation

## id()

virtual Q_INVOKABLE int com::lomiri::content::Paste::id | ( |  | ) | const

virtual

## mimeData()

virtual Q_INVOKABLE QMimeData * com::lomiri::content::Paste::mimeData | ( |  | ) |

virtual

## operator=()

Paste & com::lomiri::content::Paste::operator= | ( | const Paste & |  | ) |

delete

References Paste().

Here is the call graph for this function:

## source()

virtual Q_INVOKABLE QString com::lomiri::content::Paste::source | ( |  | ) | const

virtual

References Private.

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## Hub

friend class Hub

friend

Definition at line 61 of file paste.h.

References Hub.

Referenced by Hub.

## Private

friend struct Private

friend

Definition at line 60 of file paste.h.

References Private.

Referenced by Private, and source().

## Property Documentation

## id

int com::lomiri::content::Paste::id

read

Definition at line 37 of file paste.h.

## source

QString com::lomiri::content::Paste::source

read

Definition at line 38 of file paste.h.

The documentation for this class was generated from the following file:

- include/com/lomiri/content/paste.h